#!/bin/bash

CHFILENAMES=$(git diff-tree --no-commit-id --name-only $DRONE_COMMIT)

mkdir .ssh
echo $PLUGIN_KEY > .ssh/id_rsa
chmod 600 .ssh/id_rsa

echo "Changed files: $CHFILENAMES"

for file in $CHFILENAMES; do
    if [[ $file == *"zone" ]]; then
        echo "SCP of $file started"
        scp $file "$PLUGIN_USER"@"$PLUGIN_HOSTS":"$PLUGIN_TARGET"/$file
        if [ $? -ne 0 ]; then
            echo "SCP failed" > &2
            exit 1
        fi
        ZONE=$(echo $file | sed 's/\.zone//')
        echo "Reload $ZONE zone"
        ssh "PLUGIN_USER"@"$PLUGIN_HOSTS" nsd-control reload $ZONE
        if [ $? -ne 0 ]; then
            echo "Reload of zone failed" > &2
            exit 1
        fi
    else
        echo "Nothing to upload"
    fi
done
echo "All done"
